Bug 129023 - (TB7d183748) GUI_functions.py:450:gui_run_dialog:AttributeError: 'NoneType' object has no attribute 'connect'
GUI_functions.py:450:gui_run_dialog:AttributeError: 'NoneType' object has no ...
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: 129233 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-08-02 21:39 EDT by Val Curley
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.26-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-16 10:20:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Val Curley 2004-08-02 21:39:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The network device dialup GUI will not let me deactivate with repeated
clicks. I don't know command line well enough to fix that way. Am a

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Open network device dialup gui
2.Click deactivate
3.Nothing happens

Actual Results:  Nothing happens

Expected Results:  I hear the modem click off(deactivate), the gui
indicates that the modem is inactive.

Additional info:

Component: system-config-network
Version: 1.3.16
Summary: TB7d183748
GUI_functions.py:450:gui_run_dialog:AttributeError: 'NoneType' object
has no attribute 'connect'
Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 177, in
    (ret, msg) = dev.deactivate()
line 402, in deactivate
line 541, in generic_run_dialog
line 450, in gui_run_dialog
AttributeError: 'NoneType' object has no attribute 'connect'

Local variables in innermost frame:
xml: <gtk.glade.XML object (GladeXML) at 0xf6a9739c>
stdin: 0
dlg: None
string: <module 'string' from '/usr/lib/python2.3/string.pyc'>
img: None
title: system-config-network:

Network device deactivating...
root: /
gtk: <module 'gtk' from
command: /sbin/ifdown
CancelException: netconfpkg.gui.GUI_functions.CancelException
label: Deactivating network device dialup, please wait...
catchfd: (1, 2)
searchPath: 0
argv: ['/sbin/ifdown', 'dialup', 'down']
closefd: -1
dialog: None
swindow: None
os: <module 'os' from '/usr/lib/python2.3/os.pyc'>
lbl: None
select: <module 'select' from
errlabel: Cannot deactivate network device dialup!
Comment 1 Harald Hoyer 2004-08-16 06:25:17 EDT
*** Bug 129233 has been marked as a duplicate of this bug. ***
Comment 2 Matthew Miller 2005-04-26 12:40:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.